## metacam 1.2

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 # -----------------------------------------------------------------------------
 #
-# $Id: Makefile,v 1.7 2001/12/25 19:56:44 daniel Exp $
+# $Id: Makefile,v 1.12 2002/09/02 20:28:46 daniel Exp $
 
 # Some operating-system dependent choices for compile-time flags. Uncomment
 # whichever is most appropriate
@@ -32,35 +32,40 @@
 
 CXXFLAGS=-Wall $(OSCXXFLAGS) -D_GNU_SOURCE -O2 $(INCLUDES)
 
-OBJS=metacam.o rationals.o ifdentry.o ifd.o tifffile.o exiftags.o \
-     nikontags.o olympustags.o canontags.o casiotags.o dpyfuncs.o
-HDRS=metacam.h dpyfuncs.h
+LIBOBJS=rationals.o exiftags.o \
+     nikontags.o olympustags.o canontags.o casiotags.o dpyfuncs.o \
+     metatiff.o filetiff.o tiffdata.o dataifd.o dataifdentry.o editifd.o \
+     ocontext.o lookups.o	
+EXEOBJS=metacam.o
+HDRS=metacam.h dpyfuncs.h metatiff.h filetiff.h datatiff.h edittiff.h \
+     odrivers.h
 
-DEPS=$(OBJS:.o=.dep)
-
-TIFS=$(wildcard *.TIF)
-JPGS=$(wildcard *.JPG)
-CAMS=$(TIFS:.TIF=.tcam) $(JPGS:.JPG=.jcam)
+DEPS=$(LIBOBJS:.o=.dep) $(EXEOBJS:.o=.dep)
 
 ##### TARGETS ######
 
 default:	metacam
 
 clean:
-	-rm -f *.o *~
+	-rm -f *.o *~ *-
 
 tags:
 	etags *.cc *.h
 
 realclean:
 	-rm -f metacam
-	-rm -f *.o *~
+	-rm -f *.o *~ *-
 	-rm -f *.dep
 	-rm -f dependencies
 	-rm -f TAGS
 
-metacam:	$(OBJS)
-	$(CXX) $(CXXFLAGS) $(OBJS) -o metacam -lm
+libmetacam.a:	$(LIBOBJS)
+	rm -f libmetacam.a
+	ar rsc libmetacam.a- $(LIBOBJS)
+	mv -f libmetacam.a- libmetacam.a
+
+metacam:	$(EXEOBJS) libmetacam.a
+	$(CXX) $(CXXFLAGS) $(EXEOBJS) -o metacam -lm -L. -lmetacam
 
 # Dependency rules
 dependencies:	Makefile $(DEPS)
@@ -76,5 +81,9 @@
 		rm -f $*.dep--
 		mv -f $*.dep- $*.dep 
 
+tar:
+	-rm -f files.tar
+	tar -cvf files.tar $(LIBOBJS:.o=.cc) $(EXEOBJS:.o=.cc) $(HDRS) Makefile THANKS $(wildcard README.*) LICENSE.TXT BUGS
+
 include dependencies
