=== debian/control ===
Source: metacam
Section: graphics
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://www.cheeseplant.org/~daniel/pages/metacam.html
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/metacam.git
Vcs-Git: git://anonscm.debian.org/forensics/metacam.git

Package: metacam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extract EXIF information from digital camera files
 EXIF (Exchangeable Image File Format) is a standard for storing interchange
 information in image files, especially those using JPEG compression. Most
 digital cameras, including mobile phones, now use the EXIF format.
 .
 The format is part of the DCF standard created by JEIDA to encourage the
 interoperability between imaging devices. In addition to the standard EXIF
 fields, MetaCam also supports vendor-specific extensions from Nikon, Olympus,
 Canon and Casio.
 .
 This program is useful in forensics insvestigations.
