=== debian/watch ===
version=3
http://www.cheeseplant.org/metacam/downloads/metacam-([\d\S]+)\.tar\.(?:bz2|gz|xz)
http://www.cheeseplant.org/~daniel/pages/metacam.html .*/metacam/downloads/metacam-([\d\S]+)\.tar\.(?:bz2|gz|xz)
